You are not logged in.

#1 2009-04-12 10:33:33

xaff
Member
Registered: 2009-02-26
Posts: 64

pulseaudio broken after today's updates (libcap problem)

mateusz@saturn:~$ pulseaudio
pulseaudio: error while loading shared libraries: libcap.so.1: cannot open shared object file: No such file or directory
mateusz@saturn:~$ pacman -Q libcap
libcap 2.16-3
mateusz@saturn:~$

from pacman.log:

[2009-04-12 10:46] upgraded libcap (1.10-2 -> 2.16-3)

what should I do?

Edit:
Besides downgrading libcap and ignoring libcap2. wink

Edit2:
Seems pulseaudio package just needs a rebuild. Semi-solved I guess.

Last edited by xaff (2009-04-12 11:58:54)

Offline

#2 2009-04-13 00:34:37

ngoonee
Forum Fellow
From: Between Thailand and Singapore
Registered: 2009-03-17
Posts: 7,246

Re: pulseaudio broken after today's updates (libcap problem)

I prefer pulseaudio-git from AUR myself, seems to work better (no numbers to support this though). All I had to do was re-run makepkg on the cached copy in /var/abs/local/yaourtbuild.


Allan-Volunteer on the (topic being discussed) mailn lists. You never get the people who matters attention on the forums.
jasonwryan-Installing Arch is a measure of your literacy. Maintaining Arch is a measure of your diligence. Contributing to Arch is a measure of your competence.
Griemak-Bleeding edge, not bleeding flat. Edge denotes falls will occur from time to time. Bring your own parachute.

Offline

#3 2009-04-13 13:02:00

Nepherte
Member
From: Singapore
Registered: 2008-09-09
Posts: 427
Website

Re: pulseaudio broken after today's updates (libcap problem)

Pulseaudio had to be built again against the new libcap.

Offline

Board footer

Powered by FluxBB